Questions & Answers

Try to install ampire but says it isnt compatible

+1 vote
60 views
asked May 13 in PreSonus Hub / Plugins by chrismccollum (170 points)
So im trying to download the ampire plugin however when i try to run the ampire installer it says it isnt compatible with studio one, which is strange as i bought it from the studio one shop. So im a little stumped on what to do can anyone help?

1 Answer

0 votes
answered Sep 17 by mikeharris4 (140 points)
HONESTLY ...IT IS A TERRIBLY LIMITED PLUGIN ....I HIGHLY RECOMEND THAT YOU EITHER RECORD DIRECT FROM YOUR AMP ....OR MIC OFF YOUR AMP ....THE GUITAR SETUPS ARE OUTDATED AND LOADED WITH TERRIBLE EFFECTS THAT NO ONE USES ANYMORE IN THE MODERN WORLD ...
...